Xorg crashed with SIGABRT in compute_image_info()

Bug #1218839 reported by Adam Hallgat on 2013-08-30
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
Critical
Unassigned

Bug Description

Description: Ubuntu Saucy Salamander (development branch)
Release: 13.10

xorg:
  Telepítve: 1:7.7+1ubuntu5
  Jelölt: 1:7.7+1ubuntu5
  Verziótáblázat:
 *** 1:7.7+1ubuntu5 0
        500 http://archive.ubuntu.com/ubuntu/ saucy/main amd64 Packages
        100 /var/lib/dpkg/status

My login manager is GDM
I mainly use the i3 window manager session with xcompmgr, but gnome-shell is also installed.

Bug: The system rangomly crashes to GDM, but recently I only see a black screen, and has to use "sudo service gdm restart" to get it working again.

This bug happened before with LightDM, and Slim too.

I checked the auth.log, and it seems like something randomly closes my session. (It might be connected to using sudo commands)

ProblemType: Crash
DistroRelease: Ubuntu 13.10
Package: xserver-xorg-core 2:1.14.2.901-2ubuntu4
ProcVersionSignature: Ubuntu 3.11.0-4.9-generic 3.11.0-rc7
Uname: Linux 3.11.0-4-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.12.1-0ubuntu2
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CrashCounter: 1
Date: Fri Aug 30 12:41:51 2013
DistUpgraded: 2013-08-06 18:13:56,246 DEBUG enabling apt cron job
DistroCodename: saucy
DistroVariant: ubuntu
DkmsStatus:
 ndiswrapper, 1.58, 3.11.0-3-generic, x86_64: installed
 ndiswrapper, 1.58, 3.11.0-4-generic, x86_64: installed
ExecutablePath: /usr/bin/Xorg
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) [8086:2a02] (rev 03) (prog-if 00 [VGA controller])
   Subsystem: Micro-Star International Co., Ltd. Device [1462:401b]
   Subsystem: Micro-Star International Co., Ltd. Device [1462:401b]
InstallationDate: Installed on 2012-03-03 (544 days ago)
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
MachineType: NEC COMPUTERS SAS NEC VERSA ONE
MarkForUpload: True
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdline: /usr/bin/X :0 -background none -verbose -auth /var/run/gdm/auth-for-gdm-fjB4pH/database -seat seat0 -nolisten tcp vt7
ProcEnviron:
 LANG=hu_HU.UTF-8
 TERM=linux
 PATH=(custom, no user)
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-4-generic root=UUID=ad6b19c6-95b1-443f-a716-dc4bf47d2ec5 ro quiet splash vt.handoff=7
Signal: 6
SourcePackage: xorg-server
StacktraceTop:
 ?? () from /usr/lib/x86_64-linux-gnu/libpixman-1.so.0
 pixman_image_composite32 () from /usr/lib/x86_64-linux-gnu/libpixman-1.so.0
 ?? () from /usr/lib/xorg/modules/drivers/intel_drv.so
 ?? () from /usr/lib/xorg/modules/drivers/intel_drv.so
 ?? () from /usr/lib/xorg/modules/drivers/intel_drv.so
Title: Xorg crashed with SIGABRT in pixman_image_composite32()
UpgradeStatus: Upgraded to saucy on 2013-08-06 (23 days ago)
UserGroups:

dmi.bios.date: 01/29/2008
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 080014
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: MS-1642X
dmi.board.vendor: NEC COMPUTERS SAS
dmi.board.version: Ver 1.000
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: NEC COMPUTERS SAS
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr080014:bd01/29/2008:svnNECCOMPUTERSSAS:pnNECVERSAONE:pvrNNAN1899949:rvnNECCOMPUTERSSAS:rnMS-1642X:rvrVer1.000:cvnNECCOMPUTERSSAS:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: NEC VERSA ONE
dmi.product.version: NNAN1899949
dmi.sys.vendor: NEC COMPUTERS SAS
version.compiz: compiz N/A
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.46-1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.2-1ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.2-1ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.14.2.901-2ubuntu4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu3.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.2.0-0ubuntu3
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.21.14-4ubuntu3
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.9-2ubuntu1
xserver.bootTime: Fri Aug 30 12:42:24 2013
xserver.configfile: default
xserver.errors:
 synaptics: SynPS/2 Synaptics TouchPad: Synaptics driver unable to detect protocol
 PreInit returned 11 for "SynPS/2 Synaptics TouchPad"
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 5414
 vendor CMO
xserver.version: 2:1.14.2.901-2ubuntu4

Adam Hallgat (hallgat) wrote :

StacktraceTop:
 compute_image_info (image=0x7f802fa79ab0) at ../../pixman/pixman-image.c:282
 _pixman_image_validate (image=image@entry=0x7f802fa79ab0) at ../../pixman/pixman-image.c:539
 pixman_image_composite32 (op=PIXMAN_OP_SRC, src=0x7f802fa79ab0, mask=0x0, dest=0x7f802f94d7e0, src_x=0, src_y=169, mask_x=24576, mask_y=-32727, dest_x=0, dest_y=169, width=600, height=169) at ../../pixman/pixman.c:592
 pixman_image_composite (op=<optimized out>, src=<optimized out>, mask=<optimized out>, dest=<optimized out>, src_x=<optimized out>, src_y=<optimized out>, mask_x=<optimized out>, mask_y=<optimized out>, dest_x=<optimized out>, dest_y=<optimized out>, width=<optimized out>, height=<optimized out>) at ../../pixman/pixman.c:730
 thread_composite (arg=arg@entry=0x7fff04649f10) at ../../../src/sna/sna_threads.c:232

Changed in xorg-server (Ubuntu):
importance: Undecided → Medium
summary: - Xorg crashed with SIGABRT in pixman_image_composite32()
+ Xorg crashed with SIGABRT in compute_image_info()
tags: removed: need-amd64-retrace
Adam Hallgat (hallgat) wrote :

UPDATE: Crashed again, I noticed high cpu loads, however top and htop didn't show any suspicious applications. Many applications changed in the first place as usual. (network-manager, firefox, dropbox, thunderbird)

I killed the firefox and thunderbird programs, but it hasn't affected the high load.

GDM automatically restarted after a few minutes, and the high load disappeared on its own.

After logging in, I got several error(apport) messages from nm-applet, mocp, gnome-tweak-tool, plugin-container, blueman, and many other programs which were running at the time of the crash, or weren't even running.

Adam Hallgat (hallgat) wrote :

ANOTHER UPDATE: Froze again, using top now I saw Apport taking 99% of the CPU, it was running under the name of the root user. I did a sudo killall apport, and the cpu load returned to normal.

information type: Private → Public
Timo Aaltonen (tjaalton) on 2013-09-26
affects: xorg-server (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Changed in xserver-xorg-video-intel (Ubuntu):
importance: Medium → Critical
Chris Wilson (ickle) wrote :

The stacktrace suggests memory corruption (image->common.transform is an invalid pointer, but if it exists it has to be a valid transform - therefore something far more wacky took place). Grabbing a profile of the high cpu loads is likely to give a clearer picture of what occurs after the corruption takes place.

Chris Wilson (ickle) wrote :

I've found a source of memory corruption:

commit 06a8ad9690590a605b1564012d062b98c60546a6
Author: Chris Wilson <email address hidden>
Date: Mon Oct 7 23:21:38 2013 +0100

    sna/trapezoids: Recompute num_threads to match range

    We need to be careful not to execute threads past the end of the alloted
    buffer by making sure the clip extents correctly align.

    Reported-by: Joseph Yasi <email address hidden>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=70204
    Signed-off-by: Chris Wilson <email address hidden>

which could explain all sorts of random failure.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.99.904-0ubuntu1

---------------
xserver-xorg-video-intel (2:2.99.904-0ubuntu1) saucy; urgency=low

  * Merge from unreleased debian git
    - new release candidate (LP: #1218839, #1157458, #1216252, #1232546)
  * xmir.patch: refreshed.
 -- Timo Aaltonen <email address hidden> Wed, 09 Oct 2013 19:40:51 +0300

Changed in xserver-xorg-video-intel (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.